aurora-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Allen <zirc...@zircote.com>
Subject Re: docker images dependencies
Date Tue, 05 May 2015 18:12:19 GMT
I would add that the executor you are running in the docker container should match the base
is it was built for. That is to say a centos built thermos executor will have issues in a
Debian based container and vice versa.

Sent from my iPad

> On May 5, 2015, at 12:45 PM, Steve Niemitz <steve@tellapart.com> wrote:
> 
> You need libsvn-dev and libapr1-dev (on ubuntu) installed inside the
> container, these are required by the mesos library.  Once pesos is ready
> these dependencies will no longer be needed in the containers.
> 
> On Tue, May 5, 2015 at 12:38 PM, Mauricio Garavaglia <
> mauriciogaravaglia@gmail.com> wrote:
> 
>> Hi guys,
>> 
>> What are the dependencies needed in the docker images to run it in aurora?
>> I added python2.7 but the thermos executor fails for some images with
>> "thermos_executor.pex: error: Could not load MesosExecutorDriver!" and the
>> job gets lost.
>> Are those dependencies documented somewhere? Thanks!
>> 

Mime
View raw message